"Branko Collin" <[EMAIL PROTECTED]> writes:

> On 1 Feb 2002, at 18:54, stephen thompson wrote:
> > I have written dozens of perl-fu scripts with success, but now I am
> > stumped. I am trying to make a call to the Illusion plug-in,
> > plug_in_illusion, but it always returns:
> > 
> > "st_illusion: plug_in_illusion: procedural database execution failed
> > on invalid input arguments"
> > 
> > I am passing it a Drawable and an integer for the Divisions variable,
> > according to the DB Browser info on the Illusion plug-in.  I've even
> > scanned through the illusion.c source code to see what might be up,
> > but I cannot find anything wrong.
> > 
> > A note of interest is that the Illusion plug-in also has a Mode
> > toggle, but that is not noted in the DB Browser and attempting to pass
> > the plug-in 3 arguments results in a "too many arguments" error.
> Which GIMP version is this? 
> I am using 1.2.3. beta (Windows), which mentions five arguments in 
> the database:
> INT32     interactive/non-interactive
> IMAGE     input image
> DRAWABLE  input drawable
> INT32    the number of divisions
> INT32    illusion type (0=type1, 1=type2)
> Hm, the one in GIMP 1.2.0 Windows has 4 arguments (it lacks illusion 
> type).
> Looks like somebody is growing arguments here.

we try not to do this in a stable series, but in this case I felt that
correcting the PDB arguments would outweight the risk of breaking

2001-10-19  Sven Neumann  <[EMAIL PROTECTED]>

        * plug-ins/FractalExplorer/FractalExplorer.c
        * plug-ins/common/illusion.c: added missing PDB parameters.
        Thanks to [EMAIL PROTECTED] for spotting these.

Salut, Sven
Gimp-developer mailing list

Reply via email to